Author Topic: Forum software needs update  (Read 13910 times)

0 Members and 1 Guest are viewing this topic.

..::ReVaN::..

  • Guest
Re: Forum software needs update
« Reply #15 on: September 15, 2006, 08:48:44 PM »
Quote from SMF forums:

Simple Machines is happy to release a new update to Simple Machines 1.0.  This update will fix a vulnerability that was recently discovered in PHP (malfunctioning zend_hash_del_key_or_index() function). Also included are a small number of bug fixes found since 1.0.7. The vulnerability exists in PHP versions below 4.4.3 and 5.1.4.

We encourage everyone to upgrade their forum to 1.0.8 and all server administrators to upgrade their PHP to at least 4.4.3 or 5.1.4.

As this is a critical release, you can easily upgrade by one of the following ways:

    * Use the package manager in your administration center - one click, and you're done.
    * Download the update archive file, and upload all of the files from it.
    * Download the modification file attached to this message, and manually modify the files according to it.




One click guys!  ;D

Offline szc

  • Avast Evangelist
  • Starting Graphoman
  • ***
  • Posts: 6957
Re: Forum software needs update
« Reply #16 on: September 15, 2006, 08:53:47 PM »
It requires even less effort than writing all these messages, lol  ;D  ;D  ;D
MB: GIGABYTE GA-Z77X-UD3H Intel 7 Series  - LGA1155, CPU: Intel Core i5-3570K - Quad Core, 3.40GHz (3.80GHz Max Turbo), CPU COOLER: Cooler Master Hyper 212 EVO Direct Heat Pipe R2, RAM: 16 GB Kingston HyperX Blu DDR3, VIDEO CARD: Galaxy GeForce GTX 560 Ti - 1GB, GDDR5, POWER SUPPLY: Corsair Enthusiast Series TX750 V2 - 750 Watts, HD: Seagate Barracuda - 2TB, 7200RPM, 64MB, SATA 6Gb/s

CharleyO

  • Guest
Re: Forum software needs update
« Reply #17 on: September 15, 2006, 09:47:33 PM »
***

Just my 2 cents worth ... the forum has worked great as it is and the only good reason for an update is for security reasons. This is first an anti-virus forum and secondly a security forum since that is what anti-virus is for. And thirdly, it is a help forum for those who need help.    :)

"Bells & Whistles" are not needed for good funtionality (nor good security) and would only mean a lot to those whose interest is less that what this forum is about.    ::)

On the other hand, and I would not be disappointed if it does not happen, but a few more smileys would be nice.    ;)    ;D

Actually, I would like to thank the awil personel for keeping this forum simple and functional.    8)


***

dk70

  • Guest
Re: Forum software needs update
« Reply #18 on: September 15, 2006, 11:43:19 PM »
In general most software used for internet use is supposed to be updated the second update is available. Look at any major product, any forum, CMS or whatever. Always security fixes, sometimes urgent!. Taking it easy is healthy, updates can be "broken". Time will always tell.

I once had some unwelcomed guest on a server-space placing files used for phishing attack aimed at Barclays Bank PLC. I never did anything but was almost kicked out by ISP. Would have been completely had I not explained how it happend. I was playing with a not so secure upload script and some bot-thingy or whatever made use of it. Placed phishing files imitating mentioned bank. Think the unknown domain got 4000 hits in 24 hours, ISP got letter from bank etc. Anyway, that experience learned me a lesson and told me there are real dangers out there and unless you are in control of code yourself you need to check out sources, bugs really well. No comparison but still... You cant be sure some clown is not preparing a kick in Avast butt through old forum and also not that the latest and greatest can prevent that - but between the 2 choices most secure is not hard to chose.

1.1 is at RC3 now and I believe considered stable but 1.08 should be even more http://www.simplemachines.org/community/index.php?topic=107135.0

Tweaking and prettifying forum software is not an easy task but dont underestimate the power of features CharleyO. Throw in some extensions/plugins/modifications and watch people go crazy  8) Some are quite useful gadgets, also for Avast but one of the things that can make updating troublesome is to have tons of modifications. Then forget about press a button. Each modification must be remade, perhaps not even possible. Can be much work. Unless Im mistaken Avast forum is plain and without extras so update is easy.

Offline FreewheelinFrank

  • Avast Evangelist
  • Ultra Poster
  • ***
  • Posts: 4872
  • I'm a GNU
    • Don't Surf in the Nude!
Re: Forum software needs update
« Reply #19 on: September 16, 2006, 12:55:19 AM »
'don't touch it when it works'

For the record, the expresion is 'If it ain't broke, don't fix it.'

Here endeth the lesson.
     Bambleweeny 57 sub-meson brain     Don't Surf in the Nude Blog

..::ReVaN::..

  • Guest
Re: Forum software needs update
« Reply #20 on: September 16, 2006, 12:07:40 PM »
It will be broken when some hacker exploits the security vulnerabilites of this forum ...

Offline bob3160

  • Avast Überevangelist
  • Probably Bot
  • *****
  • Posts: 47137
  • 62 Years of Happiness
    • bob3160 Protecting Yourself, Your Computer and, Your Identity
Re: Forum software needs update
« Reply #21 on: September 17, 2006, 04:44:28 AM »
I can remember quite a few of us asking for this in another thread
many month ago.
The security threat for the older version ( the one we are now using ) hasn't gone away
but any interest in updating hasn't yet been mentioned by Alwil.  :'(
Free avast! Security Seminar: http://bit.ly/2N1eaR2  -  Important: http://www.organdonor.gov/ -- My Web Site: http://bob3160.strikingly.com/ - Win 11 Pro v21H2 64bit, 16 Gig Ram, 1TB SSD, Avast Free 22.5, How to Successfully Install Avast http://goo.gl/VLXdeRepair & Clean Install https://goo.gl/t7aJGq -- My Online Activity https://

Offline Lisandro

  • Avast team
  • Certainly Bot
  • *
  • Posts: 67241
Re: Forum software needs update
« Reply #22 on: September 17, 2006, 03:24:39 PM »
But any interest in updating hasn't yet been mentioned by Alwil.  :'(
Well... sometimes I feel that Alwil is not even interested in the whole board...
There are several topics that we ask that keep without answer, vacations, detection rates, etc. all things, from time to time, get lazy lazy...
Sorry to be bashing Alwil team... but, for their business, seems that forum is NOT even more a priority. There was a time that even Eduard used to post here, avast was doing marketing, was increasing the marketing share, etc... When we become something like 2 million people arround the world, well, the forum went to a second, third or fourth place of interest...
Where is Pavel? What will be of the Off Topic forum? When the forum software will be updated?
Questions, questions... no answers at all...
It's disapointing from time to time  :'(
The best things in life are free.

..::ReVaN::..

  • Guest
Re: Forum software needs update
« Reply #23 on: September 17, 2006, 04:15:09 PM »
I hope that they(alwil) are working so hard on avast! 5 that they simply don't have much time to look at the forums.
If that is the case i can't wait to see what they've come up with ...

kubecj

  • Guest
Re: Forum software needs update
« Reply #24 on: September 18, 2006, 02:56:05 PM »
Heh, I'm the resposible for this forum's installation and I can assure you it's not one-click. That's why it's pre-empted by much more serious work. It's in the todo list. And as someone mentioned - this is not phpBB.


Offline Lisandro

  • Avast team
  • Certainly Bot
  • *
  • Posts: 67241
Re: Forum software needs update
« Reply #25 on: September 18, 2006, 03:16:19 PM »
Heh, I'm the resposible for this forum's installation and I can assure you it's not one-click.

Questions, questions... no answers at all...
It's disapointing from time to time :'(

Well, at least, we stop being disapointed  ;D
We'll be happy when you get time for it.
The best things in life are free.

dk70

  • Guest
Re: Forum software needs update
« Reply #26 on: September 18, 2006, 03:44:20 PM »
The SMF-upgrade process itself is easy. Of course SMF forums should be scanned/searched first and of course a full backup of files and database is recommended. Has been done xxxxx times before. Only reason it could be troublesome is if you have tons of incompatible mods, themes, user-hacks, have to also upgrade php/mysql - dont think that is the case.

Avast could become a charter-member for 50$ and get premium support http://www.simplemachines.org/charter/ Not really needed but if you get doubts about whatever there should be better chance of one on one support by SMF support through closed sections on forum. Why waste time or not be close to 100% foolproof - Avast should be able to afford.

kubecj

  • Guest
Re: Forum software needs update
« Reply #27 on: September 18, 2006, 03:54:29 PM »
I know for sure (by running this and also other SMF based sites) that the upgrade of the core is not problematic, but the upgrade of all the mods and themes is major pain... So there must be _real_ reason to go thru it. For me now, the only _real_ reason is 1.1 getting gold, nothing else.

Offline szc

  • Avast Evangelist
  • Starting Graphoman
  • ***
  • Posts: 6957
Re: Forum software needs update
« Reply #28 on: October 02, 2006, 03:18:26 AM »
kubecj wrote:
Quote
So there must be _real_ reason to go thru it. For me now, the only _real_ reason is 1.1 getting gold, nothing else.

Well, maybe for you... But, don't you think that every forum is more than just "I" or "you" or "him". Forums are all these people gathering in here, trying to help each other and to seek help when needed. Whether you like it or not, this is a community, and it's consisted of many people not just few individuals. Security related forum and it keeps outdated forum engine, even though developers said themselves that new version fixes some security flaws as well... it may sound strange for some people.

Edit: I wrongly spelled word "consited", and changed it to "consisted".
« Last Edit: October 02, 2006, 03:54:11 AM by szc »
MB: GIGABYTE GA-Z77X-UD3H Intel 7 Series  - LGA1155, CPU: Intel Core i5-3570K - Quad Core, 3.40GHz (3.80GHz Max Turbo), CPU COOLER: Cooler Master Hyper 212 EVO Direct Heat Pipe R2, RAM: 16 GB Kingston HyperX Blu DDR3, VIDEO CARD: Galaxy GeForce GTX 560 Ti - 1GB, GDDR5, POWER SUPPLY: Corsair Enthusiast Series TX750 V2 - 750 Watts, HD: Seagate Barracuda - 2TB, 7200RPM, 64MB, SATA 6Gb/s

Offline bob3160

  • Avast Überevangelist
  • Probably Bot
  • *****
  • Posts: 47137
  • 62 Years of Happiness
    • bob3160 Protecting Yourself, Your Computer and, Your Identity
Re: Forum software needs update
« Reply #29 on: October 02, 2006, 04:14:02 AM »
Quite a few of the other forums that I participate in and also use SWF have long since updated.
Some of them are even larger than this one and they didn't seem to have had any problems with
their updates.
I also agree that since the reason for these updates was security related and. since this is a security related forum,
an upgrade would be considered paramount.  ???
Free avast! Security Seminar: http://bit.ly/2N1eaR2  -  Important: http://www.organdonor.gov/ -- My Web Site: http://bob3160.strikingly.com/ - Win 11 Pro v21H2 64bit, 16 Gig Ram, 1TB SSD, Avast Free 22.5, How to Successfully Install Avast http://goo.gl/VLXdeRepair & Clean Install https://goo.gl/t7aJGq -- My Online Activity https://